$REG_PATH = 'HKCU:\SOFTWARE\Microsoft\Exchange'
$REG_PROP = 'AlwaysUseMSOAuthForAutoDiscover'
If ( !((Get-ItemProperty -Path $REG_PATH -Name $REG_PROP -ErrorAction SilentlyContinue).$REG_PROP) ) {
    LogMsg "Adding registry entry: ""${REG_PATH}\${REG_PROP}"" = 1"
    Try { New-ItemProperty -Path $REG_PATH -Name $REG_PROP -PropertyType DWord -Value 1 | Out-Null }
    Catch { LogErr $_.Exception.Message }
}
Else { LogMsg "The registry path already exists: ""${REG_PATH}\${REG_PROP}""" }
